@mixin f-radio {
    $disabled-color: color(gray-4);

    .f-input_radio {
        display: inline-block;
        position: relative;

        &-label {
            @include font(regular, 16px, 20px);

            color: color(black);
            cursor: pointer;
            display: flex;
            align-items: center;

            @include media(s) {
                font-size: 14px;
                line-height: 22px;
            }

            &::before {
                border-radius: 50%;
                background-color: color(white);
                content: "";
                display: inline-block;
                border: 1px solid color(black);
                height: 18px;
                width: 18px;
                margin-right: 12px;
                text-align: center;
            }
        }

        &-field {
            clip: rect(1px, 1px, 1px, 1px);
            position: absolute;
        }

        &-field:checked + &-label {
            color: color(black);
        }

        &-field:checked + &-label::before {
            border-width: 6px;
            height: 8px;
            width: 8px;
        }

        &-field:disabled + &-label {
            border-color: $disabled-color;
            color: $disabled-color;
        }

        &-field:disabled + &-label::before {
            border-color: $disabled-color;
        }

        &-field:disabled:checked + &-label::before {
            color: color(white);
            border-color: $disabled-color;
        }
    }
}

/*
# Radiobuttons

## Default radio

```html_example
<div class="f-input_radio">
	<input id="male" class="f-input_radio-field" type="radio" name="gender" value="male" checked>
	<label class="f-input_radio-label" for="male">Male</label>
</div>
<div class="f-input_radio h-left-50">
	<input id="female" class="f-input_radio-field" type="radio" name="gender" value="female">
	<label class="f-input_radio-label" for="female">Female</label>
</div>
```

## Disabled

```html_example
<div class="f-input_radio">
	<input id="male1" class="f-input_radio-field" type="radio" name="gender1" value="male" checked disabled>
	<label class="f-input_radio-label" for="male1">Male</label>
</div>
<div class="f-input_radio h-left-50">
	<input id="female1" class="f-input_radio-field" type="radio" name="gender1" value="female" disabled>
	<label class="f-input_radio-label" for="female1">Male</label>
</div>
```
*/

@include f-radio;
